# Class SpecialValueLayouts

java.lang.Object
org.apache.datasketches.common.SpecialValueLayouts

public final class SpecialValueLayouts extends Object
Value Layouts for Non-native Endianness

## Field Summary

Fields
Modifier and Type
Field
Description
`static final ValueLayout.OfChar`
`JAVA_CHAR_UNALIGNED_BIG_ENDIAN`
The static final for ByteOrder.BIG_ENDIAN char.
`static final ValueLayout.OfChar`
`JAVA_CHAR_UNALIGNED_NON_NATIVE`
The static final for NON ByteOrder.nativeOrder() char.
`static final ValueLayout.OfDouble`
`JAVA_DOUBLE_UNALIGNED_BIG_ENDIAN`
The static final for ByteOrder.BIG_ENDIAN double.
`static final ValueLayout.OfDouble`
`JAVA_DOUBLE_UNALIGNED_NON_NATIVE`
The static final for NON ByteOrder.nativeOrder() double.
`static final ValueLayout.OfFloat`
`JAVA_FLOAT_UNALIGNED_BIG_ENDIAN`
The static final for ByteOrder.BIG_ENDIAN float.
`static final ValueLayout.OfFloat`
`JAVA_FLOAT_UNALIGNED_NON_NATIVE`
The static final for NON ByteOrder.nativeOrder() float.
`static final ValueLayout.OfInt`
`JAVA_INT_UNALIGNED_BIG_ENDIAN`
The static final for ByteOrder.BIG_ENDIAN int.
`static final ValueLayout.OfInt`
`JAVA_INT_UNALIGNED_NON_NATIVE`
The static final for NON ByteOrder.nativeOrder() int.
`static final ValueLayout.OfLong`
`JAVA_LONG_UNALIGNED_BIG_ENDIAN`
The static final for ByteOrder.BIG_ENDIAN long.
`static final ValueLayout.OfLong`
`JAVA_LONG_UNALIGNED_NON_NATIVE`
The static final for NON ByteOrder.nativeOrder() long.
`static final ValueLayout.OfShort`
`JAVA_SHORT_UNALIGNED_BIG_ENDIAN`
The static final for ByteOrder.BIG_ENDIAN short.
`static final ValueLayout.OfShort`
`JAVA_SHORT_UNALIGNED_NON_NATIVE`
The static final for NON ByteOrder.nativeOrder() short.
`static final ByteOrder`
`NON_NATIVE_BYTE_ORDER`
The static final for NON ByteOrder.nativeOrder().

## Method Summary

### Methods inherited from class Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### NON_NATIVE_BYTE_ORDER

public static final ByteOrder NON_NATIVE_BYTE_ORDER
The static final for NON ByteOrder.nativeOrder().

### JAVA_CHAR_UNALIGNED_NON_NATIVE

public static final ValueLayout.OfChar JAVA_CHAR_UNALIGNED_NON_NATIVE
The static final for NON ByteOrder.nativeOrder() char.

### JAVA_DOUBLE_UNALIGNED_NON_NATIVE

public static final ValueLayout.OfDouble JAVA_DOUBLE_UNALIGNED_NON_NATIVE
The static final for NON ByteOrder.nativeOrder() double.

### JAVA_FLOAT_UNALIGNED_NON_NATIVE

public static final ValueLayout.OfFloat JAVA_FLOAT_UNALIGNED_NON_NATIVE
The static final for NON ByteOrder.nativeOrder() float.

### JAVA_INT_UNALIGNED_NON_NATIVE

public static final ValueLayout.OfInt JAVA_INT_UNALIGNED_NON_NATIVE
The static final for NON ByteOrder.nativeOrder() int.

### JAVA_LONG_UNALIGNED_NON_NATIVE

public static final ValueLayout.OfLong JAVA_LONG_UNALIGNED_NON_NATIVE
The static final for NON ByteOrder.nativeOrder() long.

### JAVA_SHORT_UNALIGNED_NON_NATIVE

public static final ValueLayout.OfShort JAVA_SHORT_UNALIGNED_NON_NATIVE
The static final for NON ByteOrder.nativeOrder() short.

### JAVA_CHAR_UNALIGNED_BIG_ENDIAN

public static final ValueLayout.OfChar JAVA_CHAR_UNALIGNED_BIG_ENDIAN
The static final for ByteOrder.BIG_ENDIAN char.

### JAVA_DOUBLE_UNALIGNED_BIG_ENDIAN

public static final ValueLayout.OfDouble JAVA_DOUBLE_UNALIGNED_BIG_ENDIAN
The static final for ByteOrder.BIG_ENDIAN double.

### JAVA_FLOAT_UNALIGNED_BIG_ENDIAN

public static final ValueLayout.OfFloat JAVA_FLOAT_UNALIGNED_BIG_ENDIAN
The static final for ByteOrder.BIG_ENDIAN float.

### JAVA_INT_UNALIGNED_BIG_ENDIAN

public static final ValueLayout.OfInt JAVA_INT_UNALIGNED_BIG_ENDIAN
The static final for ByteOrder.BIG_ENDIAN int.

### JAVA_LONG_UNALIGNED_BIG_ENDIAN

public static final ValueLayout.OfLong JAVA_LONG_UNALIGNED_BIG_ENDIAN
The static final for ByteOrder.BIG_ENDIAN long.

### JAVA_SHORT_UNALIGNED_BIG_ENDIAN

public static final ValueLayout.OfShort JAVA_SHORT_UNALIGNED_BIG_ENDIAN
The static final for ByteOrder.BIG_ENDIAN short.